package ctbrec.ui.tabs;

import java.io.IOException;

import ctbrec.Config;
import ctbrec.Recording;
import ctbrec.recorder.RecordingManager;
import ctbrec.recorder.postprocessing.AbstractPlaceholderAwarePostProcessor;

public class DownloadPostprocessor extends AbstractPlaceholderAwarePostProcessor {

    @Override
    public String getName() {
        return "download renamer";
    }

    @Override
    public boolean postprocess(Recording rec, RecordingManager recordingManager, Config config) throws IOException, InterruptedException {
        // nothing really to do in here, we just inherit from AbstractPlaceholderAwarePostProcessor to use fillInPlaceHolders
        return true;
    }
}
